(asdf:defsystem "cl-matrix"
  :version "0.0.1"
  :author "Dominik Martinez"
  :maintainer "Dominik Martinez"
  :mailto "dominikmartinez@pm.me"
  :license "GPL-3.0-or-later"
  :depends-on ("woo"
               "clack"
               "snooze"
	       "com.inuoe.jzon"
	       "local-time"
	       "alexandria"
	       "cl-ppcre"
	       "postmodern"
	       "ironclad"
	       "flexi-streams"
	       "frugal-uuid")
  :components ((:file "settings")
	       (:module "src"
                :components
                ((:file "package")
		 (:file "logging")
		 (:file "json")
		 (:file "db")
		 (:file "auth")
		 (:file "matrix")
		 (:file "routes")
		 (:file "main"))))
  :description "A Matrix server written in Common Lisp."
  :in-order-to ((asdf:test-op (asdf:test-op "cl-matrix/tests"))))

(asdf:defsystem "cl-matrix/tests"
  :author "Dominik Martinez"
  :license "GPL-3.0-or-later"
  :depends-on ("cl-matrix"
               "rove")
  :components ((:module "tests"
                :components
                ((:file "main"))))
  :description "Test system for cl-matrix"
  :perform (asdf:test-op (op c) (symbol-call :rove :run c)))
