(in-package #:cl-matrix)

(defparameter *running-server* nil)

(defun start-server ()
  (if *running-server*
      (log-info "server already running")
      (progn 
        (setq *running-server*
              (clack:clackup 'router :server :woo))
        (log-info "server started"))))

(defun stop-server ()
  (if *running-server*
      (progn
        (clack:stop *running-server*)
        (log-info "server shutdown"))
      (log-info "no running server to shutdown"))
  (setq *running-server* nil))

(defun restart-server ()
  (stop-server)
  (start-server))
